Skip to main content
GET
/
Transaction
/
List
cURL
curl --request GET \
  --url https://api.trysynch.com/Transaction/List \
  --header 'Authorization: Bearer <token>'
{
  "paymentRequests": [
    {
      "externalPaymentRequestId": {
        "value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "amount": {
        "value": 123,
        "currencyCode": {
          "value": "<string>",
          "displayName": "<string>",
          "cultureName": "<string>"
        }
      },
      "creationDate": {
        "value": "2023-11-07T05:31:56Z"
      },
      "dueDate": {
        "value": "2023-11-07T05:31:56Z"
      },
      "recipientName": "<string>",
      "paymentType": "<string>"
    }
  ],
  "transactions": [
    {
      "externalTransferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "amount": {
        "value": 123,
        "currencyCode": {
          "value": "<string>",
          "displayName": "<string>",
          "cultureName": "<string>"
        }
      },
      "date": "2023-11-07T05:31:56Z",
      "senderName": "<string>",
      "recipientName": "<string>",
      "senderAccount": "<string>",
      "recipientAccount": "<string>",
      "isRefunded": true,
      "isReimbursed": true,
      "appliedForReimbursement": true,
      "recipientAddress": {
        "streetNumberAndName": "<string>",
        "apartmentNumber": "<string>",
        "city": "<string>",
        "zipCode": "<string>",
        "state": "<string>",
        "country": "<string>"
      }
    }
  ],
  "recipients": [
    {
      "recipientProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "frequency": "<string>",
      "companyType": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Use /auth/token to obtain access token. Enter 'Bearer' [space] and then your token in the text input below. Example: 'Bearer eyJhbGci...'

Query Parameters

from
string<date-time>
to
string<date-time>
accountId
string<uuid>
isRefunded
boolean
isCanceled
boolean
frequency
string
keyword
string
limit
integer<int32>

Response

OK

paymentRequests
object[]
transactions
object[]
recipients
object[]